Package Details: omegat 4.3.2-1

Git Clone URL: https://aur.archlinux.org/omegat.git (read-only, click to copy)
Package Base: omegat
Description: Multiplatform CAT tool application, written in Java
Upstream URL: https://www.omegat.org/
Licenses: GPL
Conflicts: omegat-beta
Submitter: haawda
Maintainer: Dragonlord
Last Packager: Dragonlord
Votes: 39
Popularity: 0.155249
First Submitted: 2008-05-01 14:36 (UTC)
Last Updated: 2022-01-16 15:06 (UTC)

Dependencies (2)

Sources (3)

Latest Comments

abd commented on 2022-05-25 00:27 (UTC) (edited on 2022-05-25 01:05 (UTC) by abd)

Got errors but keep on working as if no error:

Error: java.lang.NoClassDefFoundError: Could not initialize class org.codehaus.groovy.reflection.ReflectionCache
15767: Error: at org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod.<clinit>(NumberNumberMetaMethod.java:33)
15767: Error: at java.base/jdk.internal.misc.Unsafe.ensureClassInitialized0(Native Method)
15767: Error: at java.base/jdk.internal.misc.Unsafe.ensureClassInitialized(Unsafe.java:1160)
15767: Error: at java.base/jdk.internal.reflect.MethodHandleAccessorFactory.ensureClassInitialized(MethodHandleAccessorFactory.java:300)
15767: Error: at java.base/jdk.internal.reflect.MethodHandleAccessorFactory.newConstructorAccessor(MethodHandleAccessorFactory.java:103)
15767: Error: at java.base/jdk.internal.reflect.ReflectionFactory.newConstructorAccessor(ReflectionFactory.java:236)
...

while some deps. still not installed e.g. amazon-corretto
fully install deps. guarantee would fix it?

benjoamin commented on 2021-05-16 13:56 (UTC)

OmegaT_4.3.2_Without_JRE.zip doesn't pass the sha256sum verify. Maybe the hash should be updated.

pescepalla commented on 2019-04-22 00:34 (UTC)

Please add this line to the executable:

export PATH=/usr/lib/jvm/java-8-openjdk/jre/bin/:$PATH

This will temporarily set a java-8 environment for those of us who are using java-11 as their default.

You could also set

depends=('java-environment=8')

to ensure the correct Java environment is installed.

gir861 commented on 2019-03-22 12:29 (UTC)

Not working with JRE11. java.lang.module.FindException: Module java.xml.bind not found

When I have tried the rvasilev workaround. I will reinstall with a lower Java version.

rvasilev commented on 2018-06-09 12:29 (UTC) (edited on 2018-06-09 12:29 (UTC) by rvasilev)

Not working with default JRE10 because of java.lang.NoClassDefFoundError: javax/xml/bind/JAXBException. Related link and fix https://stackoverflow.com/questions/43574426/how-to-resolve-java-lang-noclassdeffounderror-javax-xml-bind-jaxbexception-in-j

2 Possible workrounds:

  • require JRE8 as dependency and start with it or

  • check java version and if greater than 8 run as java -jar -Xmx512M --add-modules java.xml.bind OmegaT.jar $*

Dragonlord commented on 2015-03-06 13:53 (UTC)

Can be found here: https://aur.archlinux.org/packages/omegat-plugin-yandex/

agent0 commented on 2015-03-05 20:53 (UTC)

Hello. Could you please create AUR for yandex translate plugin for omegat? Home page is here: http://sourceforge.net/projects/yandextranslatepluginforomegat/ Installation instructions are here: http://sourceforge.net/p/yandextranslatepluginforomegat/wiki/Home/